lang["en"] = {
    unknownMember: "Unknown member"
    ,unknownChannel: "Unknown channel"
    ,newMessage: "New message"
    ,netErrorShort: "Network"
    ,edited: "edited"

    ,areTyping: function(names) {
        if (names.length === 1)
            return names[0] +" is typing";
        return names.join(", ") +" are typing";
    }
    ,formatDate: function(ts) {
        if (typeof(ts) !== "string")
            ts = parseFloat(ts);
        var today = new Date()
            ,yesterday = new Date()
            ,dateObj = new Date(ts * 1000);

        today.setHours(0);
        today.setMinutes(0);
        today.setSeconds(0);
        today.setMilliseconds(0);
        yesterday.setTime(today.getTime());
        yesterday.setDate(yesterday.getDate() -1);

        if (dateObj.getTime() > today.getTime()) {
            // Today time
            return dateObj.toLocaleTimeString();
        }
        if (dateObj.getTime() > yesterday.getTime()) {
            return "yesterday, " +dateObj.toLocaleTimeString();
        }
        return dateObj.toLocaleString();
    }

    ,dom: {
        "fileUploadCancel": "Cancel"
        ,"neterror": "Cannot connect to chat !"
    }
};

